package com.srs.comprehensive.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.srs.common.annotation.Excel;
import com.srs.common.annotation.Trim;
import lombok.Data;
import lombok.Getter;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 困难认定对象 srs_knrd_apply
 *
 * @author srs
 * @date 2024-03-19
 */
@Data
public class SrsKnrdApply {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 1：提交,2：班级
     */
    @Excel(name = "当前状态", readConverterExp = "1=已提交,2=辅导员审核,3=学院审核,4=学校审核,5=审核完成")
    private Long step;
    @Excel(name = "学年")
    private String applyYear;
    /** 申请人姓名 */
    @Excel(name = "申请人姓名")
    @Trim
    private String xm;
    @Excel(name = "学院")
    private String xy;//学院

    @Excel(name = "班级")
    private String bj;//班级
    @Excel(name = "年级")
    private String nj;//年级
    /** 性别 */
    @Trim
    @Excel(name = "性别")
    private String xb;

    /** 民族 */
    @Trim
    @Excel(name = "民族")
    private String mz;

    /** 身份证号码 */
    @Trim
    @Excel(name = "身份证号码")
    private String sfzhm;

    /** 学号 */
    @Trim
    @Excel(name = "学号")
    private String xh;

    /** 出生年月 */
    @Trim
    @Excel(name = "出生年月")
    private String csny;

    /** 困难类型1 */
    @Trim
    @Excel(name = "困难类型")
    private String knlx;

    /** 困难类型2 */
    @Trim
//    @Excel(name = "困难类型2")
    private String knlx2;

    /** 人口总数 */
    @Trim
    @Excel(name = "人口总数")
    private String rkzs;

    /** 人口总数 */
    @Getter
    @Trim
    @Excel(name = "家庭成员在学人数")
    private String jtcyzxrs;
    /** 人口总数 */
    @Getter
    @Trim
    @Excel(name = "赡养人数")
    private String syrs;
    /** 人口总数 */
    @Getter
    @Trim
    @Excel(name = "家庭成员失业人数")
    private String jtcysyrs;
    /** 收入来源 */
    private String srly;

    /** 1城镇,2农村 */
    @Trim
    @Excel(name = "户口类型")
    private String hjxz;

    /** 户籍所在地 */
    @Trim
    @Excel(name = "户籍所在地")
    private String hjszd;

    /** 家庭成员 */
    private String jtcy;

    /** 家庭居住房产（住房）情况,1商品房,2单位福利住房,3自建房,4租房、无房,5其他 readConverterExp = "1=商品房,2=单位福利住房,3=自建房,4=租房、无房,5=其他"*/
    @Trim
    @Excel(name = "家庭居住房产")
    private String jtjzfqk;

    /** 家庭汽车情况, readConverterExp = "1=自用,2=经营用,3=无汽车"*/
    @Trim
    @Excel(name = "家庭汽车情况")
    private String jtqcqk;

    /** 家庭居住现居住地址 */
    @Trim
    @Excel(name = "家庭居住现居住地址")
    private String jtxjzdz;



    /** 家长电话 */
    @Excel(name = "家长姓名")
    private String parentstel;

    public String getParentstel() {
        return parentstel;
    }

    public void setParentstel(String parentstel) {
        this.parentstel = parentstel;
    }

    /** 家长电话 */
    @Trim
    @Excel(name = "家长电话")
    private String jzdh;

    /** 家庭年收入 */
    @Trim
    @Excel(name = "家庭年收入")
    private String jtnsr;

    /** 人均年收入,人均年收入=家庭年收入÷家庭人口数 */
    @Trim
    @Excel(name = "人均年收入,人均年收入=家庭年收入÷家庭人口数")
    private String rjnsr;

    /** 家庭经济主要收入来源情况,1机关事业单位公职人员,2单位公司合同制职工,3私营业主,4个体工商户,5务工,6务农,7其他收入,8无固定收入,9无收入 */
    @Trim
    @Excel(name = "家庭经济主要收入来源情况")
    private String jtzysr;

    @Trim
    @Excel(name = "家庭经济主要收入来源情况")
    private String jtzysr2;


    /** 学生父母丧失劳动能力或劳动能力弱 */
    @Trim
    @Excel(name = "学生父母丧失劳动能力或劳动能力弱")
    private String ssldnl;

    /** 其中长期患病或残疾 */
    @Trim
    @Excel(name = "其中长期患病或残疾")
    private String hbcjr;

    /** 需赡养丧失劳动能力的共同生活家庭成员 */
    @Trim
    @Excel(name = "需赡养丧失劳动能力的共同生活家庭成员")
    private String zyssldnl;

    /** 突发事件,1家庭遭受疫情,2家庭遭受自然灾害,3家庭遭受突发意外事件,4家庭欠债,5其它情况 */
    @Trim
    @Excel(name = "突发事件")
    private String tfsj;
    @Trim
    @Excel(name = "其他情况")
    private String tfsj2;
    private String tfsj3;

    /** 申请人签名 */
    @Trim
    @Excel(name = "申请人签名")
    private String sqrqm;

    /** 申请人签名日期 */
    @Trim
    @Excel(name = "申请人签名日期")
    private String sqrqmrq;

    /** 班级评议意见,1特别困难 */
    @Trim
    @Excel(name = "班级评议意见",readConverterExp="1=特别困难,2=比较困难,3=一般困难,4=不困难,")
    private String bjpyyj;

    /** 评议小组组长签名 */
//    @Trim
//    @Excel(name = "评议小组组长签名")
    private String pyxzzzqm;

    /** 评议小组组长签名日期 */
    private String pyxzzzqmrq;

    /** 辅导员签名 */
    @Trim
    @Excel(name = "辅导员签名")
    private String fdyqm;

    /** 辅导员签名日期 */
    @Trim
    @Excel(name = "辅导员签名日期")
    private String fdyqmrq;

    /** 二级学院领导意见,1特别困难 */
    @Trim
    @Excel(name = "二级学院领导意见",readConverterExp="1=特别困难,2=比较困难,3=一般困难,4=不困难,")
    private String ejxyldqmyj;

    /** 二级学院领导签名 */
    @Trim
    @Excel(name = "二级学院领导签名")
    private String ejxyldqm;

    /** 二级学院领导签名日期 */
    @Trim
    @Excel(name = "二级学院领导签名日期")
    private String ejxyldqmrq;

    /** 学校审核意见,1特别困难 */
    @Trim
    @Excel(name = "学校审核意见",readConverterExp="1=特别困难,2=比较困难,3=一般困难,4=不困难,")
    private String xsqmyj;

    /** 学校签名 */
    @Trim
    @Excel(name = "学校签名")
    private String xsqm;

    /** 学校签名日期 */
    @Trim
    @Excel(name = "学校签名日期")
    private String xsqmrq;
    /** 佐证材料 */
    @Trim
//    @Excel(name = "佐证材料")
    @TableField("affixId")
    private String affixId;

    /** 创建人ID */
//    @Excel(name = "创建人ID")
    private Long createId;
    private String remark;
    //1符合,2不符合
    @Getter
    private String xsqmyjstate;
    @Getter
    private String ejxyldqmyjstate;
    @Getter
    private String bjpyyjstate;

    private String phone;//学生手机号
    @Excel(name = "籍贯")
    private String jg; //籍贯
    @Excel(name = "申请理由")
    private String sqly;//申请理由
    private String sqrcn; //申请人承诺

    private String fdymc;

    private String fdygh;

    private String ejxyldmc;
    private String ejxyldgh;
    private String xsgh;

    private String xsmc;
    private Long stuYearId;
    private int locked;
    private Long targetStep;//目标步骤

    @TableField(exist = false)
    private int countXw;

    @Excel(name = "专业大类")
    @TableField(exist = false)
    private String majorTypeName;

    public int getLocked() {
        return locked;
    }

    public void setLocked(int locked) {
        this.locked = locked;
    }

    public Long getTargetStep() {
        return targetStep;
    }

    public void setTargetStep(Long targetStep) {
        this.targetStep = targetStep;
    }

    public Long getStuYearId() {
        return stuYearId;
    }

    public void setStuYearId(Long stuYearId) {
        this.stuYearId = stuYearId;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getFdymc() {
        return fdymc;
    }

    public void setFdymc(String fdymc) {
        this.fdymc = fdymc;
    }

    public String getFdygh() {
        return fdygh;
    }

    public void setFdygh(String fdygh) {
        this.fdygh = fdygh;
    }

    public String getEjxyldmc() {
        return ejxyldmc;
    }

    public void setEjxyldmc(String ejxyldmc) {
        this.ejxyldmc = ejxyldmc;
    }

    public String getEjxyldgh() {
        return ejxyldgh;
    }

    public void setEjxyldgh(String ejxyldgh) {
        this.ejxyldgh = ejxyldgh;
    }

    public String getXsgh() {
        return xsgh;
    }

    public void setXsgh(String xsgh) {
        this.xsgh = xsgh;
    }

    public String getXsmc() {
        return xsmc;
    }

    public void setXsmc(String xsmc) {
        this.xsmc = xsmc;
    }

    public String getSqrcn() {
        return sqrcn;
    }

    public void setSqrcn(String sqrcn) {
        this.sqrcn = sqrcn;
    }

    public String getSqly() {
        return sqly;
    }

    public void setSqly(String sqly) {
        this.sqly = sqly;
    }

    public String getJg() {
        return jg;
    }

    public void setJg(String jg) {
        this.jg = jg;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getXy() {
        return xy;
    }

    public void setXy(String xy) {
        this.xy = xy;
    }

    public String getBj() {
        return bj;
    }

    public void setBj(String bj) {
        this.bj = bj;
    }

    public String getNj() {
        return nj;
    }

    public void setNj(String nj) {
        this.nj = nj;
    }

    public String getRemark() {
        return remark;
    }

    public void setXsqmyjstate(String xsqmyjstate) {
        this.xsqmyjstate = xsqmyjstate;
    }

    public void setEjxyldqmyjstate(String ejxyldqmyjstate) {
        this.ejxyldqmyjstate = ejxyldqmyjstate;
    }

    public void setBjpyyjstate(String bjpyyjstate) {
        this.bjpyyjstate = bjpyyjstate;
    }


    public void setRemark(String remark) {
        this.remark = remark;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setStep(Long step)
    {
        this.step = step;
    }

    public Long getStep()
    {
        return step;
    }
    public void setXm(String xm)
    {
        this.xm = xm;
    }

    public String getXm()
    {
        return xm;
    }
    public void setXb(String xb)
    {
        this.xb = xb;
    }

    public String getXb()
    {
        return xb;
    }
    public void setMz(String mz)
    {
        this.mz = mz;
    }

    public String getMz()
    {
        return mz;
    }
    public void setSfzhm(String sfzhm)
    {
        this.sfzhm = sfzhm;
    }

    public String getSfzhm()
    {
        return sfzhm;
    }
    public void setXh(String xh)
    {
        this.xh = xh;
    }

    public String getXh()
    {
        return xh;
    }
    public void setCsny(String csny)
    {
        this.csny = csny;
    }

    public String getCsny()
    {
        return csny;
    }
    public void setKnlx(String knlx)
    {
        this.knlx = knlx;
    }

    public String getKnlx()
    {
        return knlx;
    }
    public void setKnlx2(String knlx2)
    {
        this.knlx2 = knlx2;
    }

    public String getKnlx2()
    {
        return knlx2;
    }
    public void setRkzs(String rkzs)
    {
        this.rkzs = rkzs;
    }

    public String getRkzs()
    {
        return rkzs;
    }
    public void setSrly(String srly)
    {
        this.srly = srly;
    }

    public String getSrly()
    {
        return srly;
    }
    public void setHjxz(String hjxz)
    {
        this.hjxz = hjxz;
    }

    public String getHjxz()
    {
        return hjxz;
    }
    public void setHjszd(String hjszd)
    {
        this.hjszd = hjszd;
    }

    public String getHjszd()
    {
        return hjszd;
    }
    public void setJtcy(String jtcy)
    {
        this.jtcy = jtcy;
    }

    public String getJtcy()
    {
        return jtcy;
    }
    public void setJtjzfqk(String jtjzfqk)
    {
        this.jtjzfqk = jtjzfqk;
    }

    public String getJtjzfqk()
    {
        return jtjzfqk;
    }
    public void setJtqcqk(String jtqcqk)
    {
        this.jtqcqk = jtqcqk;
    }

    public String getJtqcqk()
    {
        return jtqcqk;
    }
    public void setJtxjzdz(String jtxjzdz)
    {
        this.jtxjzdz = jtxjzdz;
    }

    public String getJtxjzdz()
    {
        return jtxjzdz;
    }
    public void setJzdh(String jzdh)
    {
        this.jzdh = jzdh;
    }

    public String getJzdh()
    {
        return jzdh;
    }
    public void setJtnsr(String jtnsr)
    {
        this.jtnsr = jtnsr;
    }

    public String getJtnsr()
    {
        return jtnsr;
    }
    public void setRjnsr(String rjnsr)
    {
        this.rjnsr = rjnsr;
    }

    public String getRjnsr()
    {
        return rjnsr;
    }
    public void setJtzysr(String jtzysr)
    {
        this.jtzysr = jtzysr;
    }

    public String getJtzysr()
    {
        return jtzysr;
    }
    public void setSsldnl(String ssldnl)
    {
        this.ssldnl = ssldnl;
    }

    public String getSsldnl()
    {
        return ssldnl;
    }
    public void setHbcjr(String hbcjr)
    {
        this.hbcjr = hbcjr;
    }

    public String getHbcjr()
    {
        return hbcjr;
    }
    public void setZyssldnl(String zyssldnl)
    {
        this.zyssldnl = zyssldnl;
    }

    public String getZyssldnl()
    {
        return zyssldnl;
    }
    public void setTfsj(String tfsj)
    {
        this.tfsj = tfsj;
    }

    public String getTfsj()
    {
        return tfsj;
    }
    public void setSqrqm(String sqrqm)
    {
        this.sqrqm = sqrqm;
    }

    public String getSqrqm()
    {
        return sqrqm;
    }
    public void setSqrqmrq(String sqrqmrq)
    {
        this.sqrqmrq = sqrqmrq;
    }

    public String getSqrqmrq()
    {
        return sqrqmrq;
    }
    public void setBjpyyj(String bjpyyj)
    {
        this.bjpyyj = bjpyyj;
    }

    public String getBjpyyj()
    {
        return bjpyyj;
    }
    public void setPyxzzzqm(String pyxzzzqm)
    {
        this.pyxzzzqm = pyxzzzqm;
    }

    public String getPyxzzzqm()
    {
        return pyxzzzqm;
    }
    public void setPyxzzzqmrq(String pyxzzzqmrq)
    {
        this.pyxzzzqmrq = pyxzzzqmrq;
    }

    public String getPyxzzzqmrq()
    {
        return pyxzzzqmrq;
    }
    public void setFdyqm(String fdyqm)
    {
        this.fdyqm = fdyqm;
    }

    public String getFdyqm()
    {
        return fdyqm;
    }
    public void setFdyqmrq(String fdyqmrq)
    {
        this.fdyqmrq = fdyqmrq;
    }

    public String getFdyqmrq()
    {
        return fdyqmrq;
    }
    public void setEjxyldqmyj(String ejxyldqmyj)
    {
        this.ejxyldqmyj = ejxyldqmyj;
    }

    public String getEjxyldqmyj()
    {
        return ejxyldqmyj;
    }
    public void setEjxyldqm(String ejxyldqm)
    {
        this.ejxyldqm = ejxyldqm;
    }

    public String getEjxyldqm()
    {
        return ejxyldqm;
    }
    public void setEjxyldqmrq(String ejxyldqmrq)
    {
        this.ejxyldqmrq = ejxyldqmrq;
    }

    public String getEjxyldqmrq()
    {
        return ejxyldqmrq;
    }
    public void setXsqmyj(String xsqmyj)
    {
        this.xsqmyj = xsqmyj;
    }

    public String getXsqmyj()
    {
        return xsqmyj;
    }
    public void setXsqm(String xsqm)
    {
        this.xsqm = xsqm;
    }

    public String getXsqm()
    {
        return xsqm;
    }
    public void setXsqmrq(String xsqmrq)
    {
        this.xsqmrq = xsqmrq;
    }

    public String getXsqmrq()
    {
        return xsqmrq;
    }
    public void setCreateId(Long createId)
    {
        this.createId = createId;
    }

    public Long getCreateId()
    {
        return createId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("step", getStep())
            .append("xm", getXm())
            .append("xb", getXb())
            .append("mz", getMz())
            .append("sfzhm", getSfzhm())
            .append("xh", getXh())
            .append("csny", getCsny())
            .append("knlx", getKnlx())
            .append("knlx2", getKnlx2())
            .append("rkzs", getRkzs())
            .append("srly", getSrly())
            .append("hjxz", getHjxz())
            .append("hjszd", getHjszd())
            .append("jtcy", getJtcy())
            .append("jtjzfqk", getJtjzfqk())
            .append("jtqcqk", getJtqcqk())
            .append("jtxjzdz", getJtxjzdz())
            .append("jzdh", getJzdh())
            .append("jtnsr", getJtnsr())
            .append("rjnsr", getRjnsr())
            .append("jtzysr", getJtzysr())
            .append("ssldnl", getSsldnl())
            .append("hbcjr", getHbcjr())
            .append("zyssldnl", getZyssldnl())
            .append("tfsj", getTfsj())
            .append("sqrqm", getSqrqm())
            .append("sqrqmrq", getSqrqmrq())
            .append("bjpyyj", getBjpyyj())
            .append("pyxzzzqm", getPyxzzzqm())
            .append("pyxzzzqmrq", getPyxzzzqmrq())
            .append("fdyqm", getFdyqm())
            .append("fdyqmrq", getFdyqmrq())
            .append("ejxyldqmyj", getEjxyldqmyj())
            .append("ejxyldqm", getEjxyldqm())
            .append("ejxyldqmrq", getEjxyldqmrq())
            .append("xsqmyj", getXsqmyj())
            .append("xsqm", getXsqm())
            .append("xsqmrq", getXsqmrq())
            .append("createId", getCreateId())
            .toString();
    }

    public String getJtzysr2() {
        return jtzysr2;
    }

    public void setJtzysr2(String jtzysr2) {
        this.jtzysr2 = jtzysr2;
    }

    public void setJtcyzxrs(String jtcyzxrs) {
        this.jtcyzxrs = jtcyzxrs;
    }

    public void setSyrs(String syrs) {
        this.syrs = syrs;
    }

    public void setJtcysyrs(String jtcysyrs) {
        this.jtcysyrs = jtcysyrs;
    }

    public String getJtcyzxrs() {
        return jtcyzxrs;
    }

    public String getSyrs() {
        return syrs;
    }

    public String getJtcysyrs() {
        return jtcysyrs;
    }

    public String getAffixId() {
        return affixId;
    }

    public void setAffixId(String affixId) {
        this.affixId = affixId;
    }

    public String getXsqmyjstate() {
        return xsqmyjstate;
    }

    public String getEjxyldqmyjstate() {
        return ejxyldqmyjstate;
    }

    public String getBjpyyjstate() {
        return bjpyyjstate;
    }

    public String getTfsj2() {
        return tfsj2;
    }

    public void setTfsj2(String tfsj2) {
        this.tfsj2 = tfsj2;
    }

    public String getTfsj3() {
        return tfsj3;
    }

    public String getApplyYear() {
        return applyYear;
    }

    public void setApplyYear(String applyYear) {
        this.applyYear = applyYear;
    }

    public void setTfsj3(String tfsj3) {

        this.tfsj3 = tfsj3;
    }

    public int getCountXw() {
        return countXw;
    }

    public void setCountXw(int countXw) {
        this.countXw = countXw;
    }
}
